{% extends "siswa/userbase.html.twig" %}

{% block moreCss %}
    <link rel="stylesheet" type="text/css" href="{{ asset('vendor/slick/slick.css') }}"/>

    <style>
        .navbar {
            background-color: var(--primaryColor) !important;
            border-radius: 0 0 30px 30px;
        }

        .navbar a {
            color: white !important;
        }
    </style>
{% endblock %}

{% block body %}


    {% embed 'siswa/bottomNavBar.html.twig' %}

        {% set state = 3 %}

    {% endembed %}

    {% embed 'siswa/secondaryBar.html.twig' %}
        {% block title %}
            Teman Quiz
        {% endblock %}

        {% block menuBar %}

            <i class="mdi mdi-notifications text-white f16 d-block"></i>

            <div class="w-100 mt-3 pb-2 d-flex">
                <a class="flex-grow-1 d-block bg-white p-2 m-1" data-toggle="modal"
                   data-target="#modalPencarianKelas" style="color: black !important; border-radius: 50px">
                    <div class="d-flex">
                        <p class="flex-grow-1 mb-0 align-items-center">
                            Pilih Kelas
                        </p>
                        <i class="mdi mdi-arrow-drop-down f14"></i>
                    </div>
                </a>

                <a class="flex-grow-1 d-block bg-white p-2 m-1" style="color: black !important; border-radius: 50px">
                    <div class="d-flex">
                        <p class="flex-grow-1 mb-0 align-items-center">
                            Pilih Mapel
                        </p>
                        <i class="mdi mdi-arrow-drop-down f14"></i>
                    </div>
                </a>
            </div>
        {% endblock %}
    {% endembed %}

    <div class="w-100 mt-3 pb-2 container-fluid">
        <nav>
            <div class="nav w-100 d-flex" id="nav-tab" role="tablist">
                <a class="nav-item nav-link active text-center d-block flex-grow-1 tab-pils"
                   id="nav-home-tab"
                   data-toggle="tab" href="#topik" role="tab" aria-controls="topik"
                   aria-selected="true">Topik</a>
                <a class="nav-item nav-link flex-grow-1 tab-pils d-block" id="nav-profile-tab"
                   data-toggle="tab"
                   href="#uts" role="tab" aria-controls="uts" aria-selected="false">UTS</a>
                <a class="nav-item nav-link flex-grow-1 tab-pils d-block" id="nav-profile-tab"
                   data-toggle="tab"
                   href="#uas" role="tab" aria-controls="uas" aria-selected="false">UAS</a>
            </div>
        </nav>
    </div>

    <hr>

    <section class="container-fluid">
        <div class="gen-card p-3">
            <p class="font-weight-bold">Paket Soal Matematika 1</p>
            <p class="mb-0">40 Soal</p>
            <div class="d-flex align-items-center">
                <p class="mb-0 mr-3">200 xp</p>
                <img src="{{ asset('images/common/icons/coin.png') }}" style="height: 1rem;" class="mr-1">
                <p class="mb-0 mr-2">200 xp</p>
            </div>
            <p>Akses hingga 20 September 2020</p>
            <hr>
            <div class="d-flex justify-content-between align-items-center">
                <p class="mb-0">Belum Dikerjakan</p>
                <a class="bt-primary f08" style="padding: 0.5rem 1rem">Mulai Kerjakan</a>
            </div>
        </div>
    </section>

    <!-- MODAL BOTTOM==================================================== -->

    <div class="modal bottom fade" id="bottom_modal" tabindex="-1" role="dialog" aria-labelledby="bottom_modal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">

                <div class="modal-body">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <div style="height: 3rem"></div>
                    <p class="text-center">Ups, untuk mengakses paket ini. Setidaknya kamu harus berlangganan les privat
                        atau beli akses Teman Quiz..</p>
                    <a class="bt-primary d-block mb-3">Berlangganan Les Privat</a>
                    <a class="bt-outline-primary d-block">Beli Akses Latihan Soal</a>
                    <div style="height: 4rem"></div>
                </div>

            </div>
        </div>
    </div>

    <!-- MODAL KELAS==================================================== -->

    {#    MODAL PENCARIAN KELAS #}
    <div class="modal fade" id="modalPencarianKelas" tabindex="-1" role="dialog" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered" role="document">
            <div class="modal-content">
                <div class="modal-body p-3">
                    <section class="r-bottom container-fluid mt-3" style="padding-bottom: 10em">
                        <form>
                            <p class="f8 font-weight-bold mt-3 mb-1">SD</p>
                            <div class="d-flex flex-wrap pt-3 justify-content-center">
                                {% for i in 1..6 %}
                                    <div style="width: 33%">
                                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}"
                                               value="SD {{ i }}"
                                                {{ profile.getClass() ==  'SD '~i  ? 'checked' : '' }} >
                                        <label class="for-checkbox-jam" for="kelas{{ i }}" style="font-size: 0.8em">
                                            Kelas {{ i }}
                                        </label>
                                    </div>
                                {% endfor %}
                            </div>

                            <p class="f12 font-weight-bold mt-3 mb-1">SMP</p>
                            <div class="d-flex flex-wrap pt-3 justify-content-center">
                                {% for i in 7..9 %}
                                    <div style="width: 33%">
                                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}"
                                               value="SMP {{ i }}"
                                                {{ profile.getClass() ==  'SMP '~i ? 'checked' : '' }} >
                                        <label class="for-checkbox-jam" for="kelas{{ i }}" style="font-size: 0.8em">
                                            Kelas {{ i }}
                                        </label>
                                    </div>
                                {% endfor %}
                            </div>

                            <p class="f12 font-weight-bold mt-3 mb-1">SMA</p>
                            <div class="d-flex flex-wrap pt-3 justify-content-center">
                                {% for i in 10..12 %}
                                    <div style="width: 33%">
                                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}ipa"
                                               value="{{ i }} IPA" {{ profile.getClass() ==  i ~' IPA' ? 'checked' : '' }}>
                                        <label class="for-checkbox-jam" for="kelas{{ i }}ipa" style="font-size: 0.8em">
                                            Kelas {{ i }} IPA
                                        </label>
                                    </div>
                                {% endfor %}
                                {% for i in 10..12 %}
                                    <div style="width: 33%">
                                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}ips"
                                               value="{{ i }} IPS" {{ profile.getClass() ==   i ~' IPS' ? 'checked' : '' }}>
                                        <label class="for-checkbox-jam" for="kelas{{ i }}ips" style="font-size: 0.8em">
                                            Kelas {{ i }} IPS
                                        </label>
                                    </div>
                                {% endfor %}
                                {% for i in 10..12 %}
                                    <div style="width: 33%">
                                        <input class="checkbox-jam kelas" type="radio" name="kelas" id="kelas{{ i }}bhs"
                                               value="{{ i }} Bahasa" {{ profile.getClass() ==   i ~' Bahasa' ? 'checked' : '' }}>
                                        <label class="for-checkbox-jam" for="kelas{{ i }}bhs" style="font-size: 0.8em">
                                            Kelas {{ i }} BHS
                                        </label>
                                    </div>
                                {% endfor %}
                            </div>

                            <p class="f12 font-weight-bold mt-3 mb-1">Lainya</p>
                            <div class="d-flex flex-wrap pt-3 justify-content-center">
                                <div style="width: 33%">
                                    <input class="checkbox-jam kelas" type="radio" name="kelas" id="paud" value="PAUD"
                                            {{ profile.getClass() ==  'PAUD' ? 'checked' : '' }} >
                                    <label class="for-checkbox-jam" for="paud" style="font-size: 0.8em">
                                        PAUD
                                    </label>
                                </div>
                                <div style="width: 33%">
                                    <input class="checkbox-jam kelas" type="radio" name="kelas" value="UMUM"
                                           id="umum" {{ profile.getClass() ==  'UMUM' ? 'checked' : '' }} >
                                    <label class="for-checkbox-jam" for="umum" style="font-size: 0.8em">
                                        UMUM
                                    </label>
                                </div>

                            </div>
                        </form>
                    </section>

                    <div class="container-fluid">
                        <section class="fixed-bottom d-block bg-white p-3" style="width: 100%">
                            <a id="btn-class-choice" class="bt-primary  d-block ml-auto mr-auto" data-dismiss="modal"
                               aria-label="Close"
                               style="width: 80%">Terapkan</a>

                            <div style="height: 3.2em"></div>

                        </section>
                    </div>
                </div>

            </div>
        </div>
    </div>




    <div class="space-50h"></div>
{% endblock %}

{% block JSMore %}


    <script type="text/javascript" src="{{ asset('vendor/slick/slick.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/wkwkwk.js') }}"></script>
    <script src="{{ asset('vendor/chart/Chart.min.js') }}"></script>

    <script>
        var ctx = document.getElementById('myChart').getContext('2d');
        var myChart = new Chart(ctx, {
            type: 'line',
            data: {
                labels: ['1 Jan', '7 Jan', '14 Jan', '21 Jan', '28 Jan'],
                datasets: [{
                    label: 'Nilai',
                    data: [80, 50, 63, 78, 90],
                    pointRadius: 5,
                    pointBackgroundColor: '#1DA1F2',
                    backgroundColor: [
                        '#1DA1F222'
                    ],
                    borderColor: [
                        '#E1F5FE'
                    ],
                    borderWidth: 1,
                    max: 100
                }]
            },
            options: {
                scales: {
                    yAxes: [{
                        ticks: {
                            beginAtZero: true,
                            max: 100,
                            stepSize: 25
                        }
                    }]
                }
            }
        });
    </script>
    <script>
        $(document).ready(function () {
            $('.paket').slick({
                arrows: false,
                centerMode: true,
                centerPadding: '20%',
                infinite: false,
                slidesToShow: 2,
                slidesToScroll: 3,
                variableWidth: true,
                initialSlide: 2,
                responsive: [
                    {
                        breakpoint: 768,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            infinite: false,
                            centerPadding: '15%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true,
                            initialSlide: 2
                        }
                    },
                    {
                        breakpoint: 480,
                        settings: {
                            arrows: false,
                            centerMode: true,
                            mobileFirst: true,
                            infinite: false,
                            centerPadding: '10%',
                            slidesToShow: 2,
                            slidesToScroll: 3,
                            variableWidth: true,
                            initialSlide: 2
                        }
                    }
                ]
            });
        });
    </script>


{% endblock %}